# Require any additional compass plugins here.
require "ezy"

# Set this to the root of your project when deployed:
http_path = ".."
css_dir = "css"
sass_dir = "sass"
images_dir = "img"

# You can select your preferred output style here (can be overridden via the command line):
environment = :development # :development
output_style = (environment == :production) ? :compressed : :expanded

# To enable relative paths to assets via compass helper functions. Uncomment:
relative_assets = false

# To disable debugging comments that display the original location of your selectors. Uncomment:
# line_comments = false


# ----------------------------------------------------- #
# Nice sprite names
#
nice_sprite_names = true

if nice_sprite_names
  # Rename sprites to remove the Compass-generated hash and move it up 1 directory
  on_sprite_saved do |filename|
    if File.exists?(filename)
      FileUtils.cp filename, filename.gsub(%r{-s[a-z0-9]{10}\.png$}, '.png').gsub('images/../images/', '')
    end
  end

  # Replace in stylesheets generated references to sprites
  # by their counterparts without the hash uniqueness.
  # Adding timestamp as cache buster.
  on_stylesheet_saved do |filename|
    if File.exists?(filename)
      css = File.read filename
      File.open(filename, 'w+') do |f|
        f << css.gsub(%r{-s[a-z0-9]{10}\.png}, '.png?' + Time.now.strftime("%H%M%s"))
      end
    end
  end
end
